org.apache.sis.referencing.factory

## Class MissingFactoryResourceException

- Object
- - Throwable
  - - Exception
    - - FactoryException
      - - MissingFactoryResourceException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    UnavailableFactoryException

      public class MissingFactoryResourceException
      extends FactoryException

  Thrown when a particular object can not be created because a resource is missing. The most common case is a NADCON or NTv2 datum shift operation requested while the datum shift grids was not found in the `$SIS_DATA/DatumChanges` directory.
  Relationship with other exceptions
  This exception means that the factory failed to create a particular object. However the factory may succeed in creating other objects. By contrast, `UnavailableFactoryException` means that the whole factory can not be used at all.

  This exception is not for unimplemented operations (for example map projections not yet supported). For unimplemented operation methods, use `NoSuchIdentifierException` instead.

  Since:
    0.7
  See Also:
    `ConcurrentAuthorityFactory​.newDataAccess()`, Serialized Form

  Defined in the `sis-referencing` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingFactoryResourceException()` Construct an exception with no detail message.
    `MissingFactoryResourceException(String message)` Construct an exception with the specified detail message.
    `MissingFactoryResourceException(String message, Throwable cause)` Construct an exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingFactoryResourceException

          public MissingFactoryResourceException()

      Construct an exception with no detail message.

    - #### MissingFactoryResourceException

          public MissingFactoryResourceException(String message)

      Construct an exception with the specified detail message.
      Parameters:
        `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.

    - #### MissingFactoryResourceException

          public MissingFactoryResourceException(String message,
                                                 Throwable cause)

      Construct an exception with the specified detail message and cause. The cause is the exception thrown in the underlying database (e.g. `IOException` or `SQLException`).
      Parameters:
        `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.
        `cause` - the cause for this exception, saved for later retrieval by the `Throwable​.getCause()` method.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.